Skip to content

Audit Run Export

Export audit run data

Create export for web audit run

Request

POST /v3/web-audits/{auditId}/runs/{runId}/exports/{exportType}
Security
API_Key
Path
auditIdinteger, (int64)required

Unique identification number for web audit

Example:107239
runIdinteger, (int64)required

Unique identification number for web audit or journey run

Example:33010
exportTypestringrequired

Controls accepted values and their bytes for page size, sortBy and request body

Enum:"AUDIT_SUMMARY_DETECTED_TAGS""RULE_SUMMARY_PAGE_RESULTS""RULE_SUMMARY_PAGE_RULE_RESULTS""PAGE_SUMMARY_PAGES""PAGE_SUMMARY_BROKEN_SCANNED_LINKS""TAG_INVENTORY_PAGES""TAG_HEALTH_PAGES""TAG_DUPLICATES_AND_MULTIPLES_PAGES""VARIABLE_INVENTORY_TAG_ACCOUNT_PAGES""VARIABLE_INVENTORY_TAG_ACCOUNT_VARIABLE_PAGES"
Query
pageinteger, >= 0

Page number, starts with 0

Default:0
sizeinteger

Same constraints applied as on regular "get items list" endpoint, depends on exportType

sortBystring

Controls sorting

sortDescboolean

Controls sorting order

Default:false
allDataboolean

IF false THEN only one results page will be exported ELSE all data will be exported

Default:false
noLimitboolean

IF false or not specified THEN export will be limited to 1,000,000 rows ELSE all data will be exported

Default:false
Bodyapplication/json

Filters

object

Exact type depends on exportType param, see mapping in AuditRun_ExportTypeToFilterMapping

POST
/v3/web-audits/{auditId}/runs/{runId}/exports/{exportType}
curl -i -X POST \
  'https://api.observepoint.com/v3/web-audits/107239/runs/33010/exports/{exportType}?page=0&size=0&sortBy=string&sortDesc=false&allData=false&noLimit=false' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{}'

Responses

Details of created export

Bodyapplication/json
exportIdinteger, (int64)required

Unique ID of an export

Response
{ "exportId": 0 }